# applyPostDamageAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostDamageAbAttrs

- applyPostDamageAbAttrs(
  attrType: Constructor < PostDamageAbAttr >,
  pokemon: default ,
  damage: number,
  passive: boolean,
  simulated?: boolean,
  args: any[],
  source?: default ,
  ): void

  #### Parameters

  - attrType: Constructor < PostDamageAbAttr >
  - pokemon: default
  - damage: number
  - passive: boolean
  - simulated: boolean = false
  - args: any[]
  - `Optional` source: default

  #### Returns void

  - Defined in src/data/ability.ts:5814